<?php

include_once '../../sys/db.php';
include_once '../../sys/fnc.php';

if ($user->id == '1')
{

$user_q = mysql_query("SELECT * FROM `user` WHERE `id` = '". (isset($_GET['id']) ? intval($_GET['id']) : '0') ."'");
$ank = mysql_fetch_object($user_q); 

	/* Пользователя такого нет */
if (mysql_num_rows($user_q) != 1) {
	$title = 'Ошибка страницы';
	include_once '../../sys/head.php';
echo '<div id="page-wrapper"><div class="main-page"><div class="blank-page widget-shadow scroll" id="style-2 div1"><p>';	
	echo $div->div_err.'Такого пользователя не существует!</div>';
	
	include_once '../../sys/foot.php';
	exit;
}	
$title = 'Перевод WMR: '.$user->login.'';
include_once '../../sys/head.php';
echo '<div id="page-wrapper"><div class="main-page"><div class="blank-page widget-shadow scroll" id="style-2 div1"><p>';
#

if (isset($_POST['ok']))
{

$txt=html($_POST['txt']);

$wmr=intval($_POST['wmr']);

if ($wmr >= 1){


mysql_query("UPDATE `user` SET `wmr` = '".($ank->wmr+$wmr)."' WHERE `id` = '$ank->id';");

mysql_query("INSERT INTO `history_money` (`user`, `money`, `mp`, `usl`, `time`) values('$ank->id', '".sprintf("%.02f",$wmr)."', '1', '".$txt."', '".time()."')");

mysql_query("INSERT INTO `logs_bill` (`id_user`, `time`, `razd`, `text`) values('".$user->id."', '".time()."', 'Передача WMR ".$wmr."', 'Пользователь # Login - ".$ank->login."')"); // Записуем лог

header('Location: ?id='.$ank->id);

}
}

echo "<div class='post'><form method=\"post\">";

echo "<b>Логин получателя:</b> <u>".$ank->login."</u><br />\n";

echo "<b>Сообщение в уведомлении:</b><br /><input type='text' name='txt' value='Пополнил балланс' /><br />\n";

echo "<b>Количество WMR:</b><br />\n";

echo "<input type='text' name='wmr' value='".sprintf("%.02f",'0')."' /><br />\n";

echo "<input class='submit' name='ok' type='submit' value='Перевести' /><br />\n";

echo "</form></div>";

} else {
exit('Ошибка');
}

#
include_once '../../sys/foot.php';
?>